> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sx.bet/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Heartbeat

> Cancel a registered heartbeat

To cancel a registered heartbeat, you may use the same request to [register a heartbeat](/api-reference/post-heartbeat) but use `timeoutSeconds=0`. This will deactivate the heartbeat and **orders will NOT be cancelled automatically**.

```bash theme={null}
curl --location --request POST 'https://api.sx.bet/heartbeat' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <YOUR-API-KEY>' \
--data-raw '{
    "requestor": "<YOUR-ACCOUNT-ADDRESS>",
    "timeoutSeconds": 0
}'
```

The above command returns JSON structured like this

```json theme={null}
{
  "status": "success",
  "data": {
    "requestor": "<YOUR-ACCOUNT-ADDRESS>",
    "timeoutSeconds": 0,
    "expiresAt": "2024-11-12T14:35:06.614Z"
  }
}
```
